Package org.apache.sling.sitemap.impl.builder

## Class SitemapIndexImpl

- java.lang.Object
- - org.apache.sling.sitemap.impl.builder.SitemapIndexImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class SitemapIndexImpl
    extends Object
    implements Closeable

### Constructor Summary

Constructors
`SitemapIndexImpl​(Writer writer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSitemap​(@NotNull String location)`
`void` `addSitemap​(@NotNull String location, @Nullable Instant lastModified)`
`void` `close()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SitemapIndexImpl

    public SitemapIndexImpl​(Writer writer)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

#### addSitemap

    public void addSitemap​(@NotNull
                           @NotNull String location)
                    throws SitemapException

Throws:
  `SitemapException`

#### addSitemap

    public void addSitemap​(@NotNull
                           @NotNull String location,
                           @Nullable
                           @Nullable Instant lastModified)
                    throws SitemapException

Throws:
  `SitemapException`